import javax.microedition.lcdui.Command;
import javax.microedition.lcdui.Display;

import lancs.mobilemedia.core.ui.screens.AddMediaToAlbum;
import lancs.mobilemedia.core.ui.screens.CaptureVideoScreen;

class PhotoViewController {
	CaptureVideoScreen cpVideoScreen = null;

	public CaptureVideoScreen getCpVideoScreen() {
		return cpVideoScreen;
	}

	public void setCpVideoScreen(CaptureVideoScreen cpVideoScreen) {
		this.cpVideoScreen = cpVideoScreen;
	}

	public boolean handleCommand(Command c) {
		if (original(c))
			return true;

		String label = c.getLabel();
		if (label.equals("Take photo")) {
			System.out.println("Olha para a captura" + cpVideoScreen);
			byte[] newfoto = cpVideoScreen.takePicture();
			System.out.println("Obteve a imagem");
			AddMediaToAlbum copyPhotoToAlbum = new AddMediaToAlbum(
					"Copy Photo to Album");
			System.out.println("Crio a screen");
			copyPhotoToAlbum.setItemName("New picture");
			copyPhotoToAlbum.setLabePath("Copy to Album:");
			copyPhotoToAlbum.setCommandListener(this);

			copyPhotoToAlbum.setCapturedMedia(newfoto);
			System.out.println("Definiu a imagem");
			Display.getDisplay(midlet).setCurrent(copyPhotoToAlbum);

			return true;

		}
		return false;
	}
}